lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Shawn Heisey <apa...@elyograg.org>
Subject Re: apache 5.1.0 under apache web server
Date Mon, 04 May 2015 20:10:26 GMT
On 5/4/2015 1:50 PM, Tim Dunphy wrote:
> However it sounds like you're sure it's supposed to work this way. Can
> I get some advice on this error?

If you tried copying JUST the .war file with any version from 4.3 on,
something similar would happen.  At the request of many of our more
advanced users, starting in version 4.3, the war does not contain jars
required for the logging in Solr to work.  This makes it possible to
change the logging framework without surgery on the .war file or
recompiling Solr.

If those jars are not available, Solr will not start.  The logging jars
must be placed in the container's classpath for logging to work, which
has been done in the server included with Solr, placing them in the
lib/ext directory of the Jetty server.  With the jars you can find in
lib/ext, you also need a config file for log4j ... which you can find in
the example at resources/log4j.properties.

http://wiki.apache.org/solr/SolrLogging

Thanks,
Shawn


Mime
View raw message